> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-foresporgselsoversigt/82.-foresporgsel-gendan-abonnementshaendelser.md).

# 82. Forespørgsel: Gendan abonnementshændelser

Det er altid god praksis at kunne gendanne/genkontrollere leverede vs. producerede abonnementsbegivenheder. Derfor gemmer GeoPard historikken for alle producerede abonnementsbegivenheder i **seneste 12 måneder**.&#x20;

De almindelige tilfælde:&#x20;

* Dårlig internetforbindelse og begivenheder blev ikke leveret
* Genudrulning af WebSocket-lytter
* Tjek konsistensen mellem modtagne og producerede begivenheder

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Understøttede inputfiltre:

* `dateFrom` som dato/tid i ISO 8601-format (f.eks.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` som dato/tid i ISO 8601-format (f.eks.: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` som array af "Farm" UUID'er at søge efter
* `fieldUuids` som array af "Field" UUID'er at søge efter&#x20;
* `userUuids` som array af "User" UUID’er til søgning
* `eventUuids` som array af abonnements-"Event" UUID'er

{% hint style="info" %}
Alle filtre fungerer som logisk **OG**.
{% endhint %}

{% hint style="info" %}
Hver abonnementsbegivenhed har et attribut `executionDate` knyttet til det sendte øjeblik i AWSDateTime-format kompatibelt med ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-foresporgselsoversigt/82.-foresporgsel-gendan-abonnementshaendelser.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
